[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.Destroy

Destructor for the class instance.

## Declaration

Source position: stdctrls.pp line 935

`public destructor TCustomMemo.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resources allocated for the Lines, HorzScrollBar, and VertScrollBar properties are freed by calling the FreeThenNil routine in lazutilities.pas.

Destroy calls the inherited destructor prior to exiting from the method.

## See also

TCustomMemo.Create |  | Constructor for the class instance.